List Deposits
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Success",
"data": {
"data": [
{
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"short_order_id": "<string>",
"order_status": "Success",
"need_travel_rule": true,
"travel_rule_status": "REJECTED",
"balance_currency": "<string>",
"network": "<string>",
"amount": "<string>",
"deposit_address": "<string>",
"transaction_id": "<string>",
"create_time": "<string>",
"completed_time": "<string>"
}
],
"total_pages": 123,
"total_items": 123
}
}Deposits
List Deposits
Query deposit records. Stablecoin Account API Publisher Disclaimer
GET
/
v1
/
ramp
/
deposit
List Deposits
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
Page number, default 1
Required range:
x >= 1Items per page, default 20
Required range:
x >= 1Filter by asset code
Filter by network code
Order status
Exclusive start time used to filter by create_time. ISO 8601 format.
Example:
"2024-03-01T00:00:00+08:00"
Exclusive end time used to filter by create_time. ISO 8601 format.
Example:
"2024-03-02T00:00:00+08:00"

